function AllFractions = CB_RepresentationAgentParameter(AgentInteralType)

num_AIT = size(AgentInteralType,1);
AllFractions = nan*ones(num_AIT,3);

for id_AIT = 1:num_AIT

    Assignations = AgentInteralType{id_AIT};

    Fractions = nan*ones(1,3);
    Fractions(1) = mean(Assignations(1,:));
    Fractions(2) = mean(Assignations(2,:));
    Fractions(3) = mean(Assignations(3,:));

    AllFractions(id_AIT,:) = Fractions*(1/sum(Fractions));

end

end